#ifndef __CAN_H__
#define __CAN_H__	1

/* 
 * $Author:$
 * 
 * $Id:$
 * 
 */

/*--------------------------------------------------------------------------
 * Datasheets defines for the Philips SJA1000 CAN device.
 *--------------------------------------------------------------------------*/

#define CAN_BUFSIZE 	13

#define MODE	 		0
#define COMMAND     	1
#define STATUS			2
#define INTRPT      	3
#define INTEN			4
#define BUSTIME0    	6
#define BUSTIME1		7
#define OCR  			8
#define ARBLOST			11
#define ERRCAPT			12
#define ERRWARN			13
#define ERRCNTRX		14
#define ERRCNTTX		15
#define FRAME			16
#define ACCODE			16
#define ACMASK			20
#define MSGCNTRX		29
#define ADRRX			30
#define CLKDIV      	31

#define CANTXREQ		0x01
#define CANRESET		0x01
#define CANRELRXB		0x04
#define CANTX0PP		0x1A

static int can_open(char *);
static void can_close(void);
static void can_put_frame(unsigned char *, unsigned long);
static int can_get_frame(unsigned char *);
static int can_int_event(void);

#endif
